Name:           gtimelog
Version:        0.9.3
Release:        1%{?dist}
Summary:        Unobtrusively keep track of your time

Group:          Applications/Productivity
License:        GPLv2
URL:            http://mg.pov.lt/gtimelog/
Source0:        https://github.com/%{name}/%{name}/archive/%{version}.tar.gz
# https://github.com/gtimelog/gtimelog/pull/34
Source1:        %{name}.appdata.xml

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-install
BuildRequires:  /usr/bin/rst2man
Requires:       gtk3
Requires:       python3-gobject

%description
GTimeLog is a small GTK+ app for keeping track of your time. It's main goal is
to be as unobtrusive as possible.

%prep
%setup -q


%build
%{__python3} setup.py build
# Generates the man pages.
make all


%install
%{__python3} setup.py install --skip-build --root %{buildroot}
desktop-file-install %{name}.desktop
# Needed for the desktop file.
install -d %{buildroot}/%{_datadir}/pixmaps
mv %{buildroot}%{python3_sitelib}/%{name}/*.png %{buildroot}/%{_datadir}/pixmaps
install -Dpm 644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1
install -Dpm 644 %{name}rc.5 %{buildroot}/%{_mandir}/man5/%{name}rc.5
install -Dpm 644 %{SOURCE1} %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml


%check
# Runs tests on the source tree.
%{__python3} ./runtests
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml


%files
%doc CONTRIBUTING.rst CONTRIBUTORS.rst NEWS.rst NOTES.rst README.rst TODO.rst
%license COPYING
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*.png
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}rc.5*
%{python3_sitelib}/%{name}*



%changelog
* Wed Sep 30 2015 David King <amigadave@amigadave.com> - 0.9.3-1
- Update to 0.9.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 09 2015 David King <amigadave@amigadave.com> - 0.9.2-1
- Initial packaging (#1210252)
